### Method

# Dex Future await_pointer

#### Declaration [src]

    gpointer
    dex_await_pointer (
      DexFuture* future
      GError** error
    )

#### Description [src]

Calls `dex_await()` and returns the value of g_value_get_pointer(), otherwise `error` is set if the future rejected.

#### Return value

Type: `gpointer`

A pointer or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.